/* CSS Vriables / Propiedades Personalizadas */

* { box-sizing: border-box; }

html {
  font-family: sans-serif;
  font-size: 16px;
  margin: 0;
  padding: 0;
}

body {
  margin: 40px;
}

.monotype {
  font-family: monospace;
  background-color: khaki;
  padding: 4px 8px;
  border-radius: 4px;
}

.container {
  background-color: grey;
  display: block;
  width: 600px;
  margin-bottom: 20px;
  padding: 5px;

  background-color: #f7f7f7;
  border-radius: 3px;
  padding: 10px;
}

  .container + h2 { margin-top: 40px; }

  .container-wrp {
    font-size: 20px;
    border-radius: 4px;
    border: 3px dashed #4390E1;
    box-sizing: border-box;
  }

  .item {
    font-size: 20px;
    text-align: center;
    border-radius: 4px;
    background-color: rgba(162, 203, 250, 0.8);
    border: 1px solid #4390E1;
    box-sizing: border-box;
    box-shadow: 0 2px 2px rgba(0,90,250,0.05), 0 4px 4px rgba(0,90,250,0.05), 0 8px 8px rgba(0,90,250,0.05), 0 16px 16px rgba(0,90,250,0.05);
    width: 100%;
    /* height: 80px; */
    position: relative;
    z-index: 10;
  }



/* 1. alcance – Ejemplo 01 */

.container--alcance-a { --text-color: green; } /* :root { --text-color: green; } */
.container--alcance-a div { --text-color: blue; }
.container--alcance-a .error { --text-color: red; }

.container--alcance-a * {
  color: var(--text-color);
}


/* 1. alcance – Ejemplo 02 */

.container--alcance-b {
  width: auto;
  --gutter: 10px 0; /* :root { --gutter: 10px 0; } */
}

.container--alcance-b .container-wrp {
  padding: var(--gutter);
  display: flex;
  flex-flow: wrap;
}

  .container--alcance-b .item {
    padding: var(--gutter);
    background-color: #a2cbfa;
    height: 1rem;
    margin-bottom: 1rem;
    width: 100%;
  }

  .container--alcance-b .item:last-of-type {
    margin-bottom: 0;
  }

@media (min-width: 600px) {
  .container--alcance-b { --gutter: 16px; } /* :root { --gutter: 16px; } */
}


/* 2. Función var() */

.container--var-a {
  --gutter: 10px 0; /* :root { --gutter: 10px 0; } */
}

.container--var-b {
  
}

  .container--var-a .container-wrp,
  .container--var-b .container-wrp {
    padding: var(--gutter);
    display: flex;
    flex-flow: wrap;
  }
  
    .container--var-a .item,
    .container--var-b .item {
      padding: var(--gutter, 10px 0 0 5px);
    }


/* 3. Dependencias circulares var() */

.container--circ-a {
  --padding-top: 40px;
  --padding-bottom: 40px;
  --padding-top: calc(var(--padding-top) + 20px);
  --padding-bottom: calc(var(--padding-bottom) - 20px);
}

.container--circ-b,
.container--circ-c {
  --padding-top: 40px;
  --padding-bottom: 40px;
}

  .container--circ-a .container-wrp,
  .container--circ-b .container-wrp {
    padding-top: var(--padding-top);
    padding-bottom: var(--padding-bottom);
    display: flex;
    flex-flow: wrap;
  }
  
    .container--circ-a .item,
    .container--circ-b .item {
      padding-top: var(--padding-top);
      padding-bottom: var(--padding-bottom);
    }

  .container--circ-c .container-wrp {
    padding-top: calc(var(--padding-top) + 20px);
    padding-bottom: calc(var(--padding-bottom) - 20px);
    display: flex;
    flex-flow: wrap;
  }
  
    .container--circ-c .item {
      padding-top: calc(var(--padding-top) + 20px);
      padding-bottom: calc(var(--padding-bottom) - 20px);
    }
